{% extends 'base.html.twig'%}

{% block stylesheets %}
    {{ encore_entry_link_tags('gallery') }}
    <link rel="stylesheet" type="text/css" href="{{ asset('libs/justified-gallery/justifiedGallery.min.css') }}"/>
{% endblock %}

{% block body %}
    <header>
        <div class="container-header">
            <div class="header-inner">
                <nav class="header-nav">
                    <a class="nav-item" href="#section-services">Услуги</a>
                    <a class="nav-item" href="#section-works">Мои работы</a>
                    <a class="nav-item" href="#section-about">Обо мне</a>
                    <a class="nav-item" href="#section-prices">Цены</a>
                    <a class="nav-item" href="#section-order">Запись</a>
                    <a class="nav-item" href="#section-contact">Контакты</a>
                </nav>
                <div class="menu-icon" id="menu">
                    <p><i class="fas fa-bars"></i></p>
                </div>
            </div>
            <div class="mobile-tab">
                <a class="nav-item" href="#section-services">Услуги</a>
                <a class="nav-item" href="#section-works">Мои работы</a>
                <a class="nav-item" href="#section-about">Обо мне</a>
                <a class="nav-item" href="#section-prices">Цены</a>
                <a class="nav-item" href="#section-order">Запись</a>
                <a class="nav-item" href="#section-contact">Контакты</a>
            </div>
        </div>
        <div class="breadcrumbs">
            <div class="breadcrumbs-wrapper">
                <span><a href="/">Главная</a> / </span>
                <span><a href="/gallery/" class="inactive-link">Галлерея</a></span>
            </div>
            {#                {% for item in breadcrumbs %}#}
            {#                    {% if not loop.last %}#}
            {#                        <span><a href="{{ item.url }}">{{ item.name }}</a> / </span>#}
            {#                    {% else %}#}
            {#                        <span><a href="{{ item.url }}" class="inactive-link">{{ item.name }}</a></span>#}
            {#                    {% endif %}#}
            {#                {% endfor %}#}
        </div>
    </header>
    <div class="content">
        {% for year, imageItems in images %}
            <div class="block-gallery" data-year="{{ year }}">
                {% if loop.first %}
                    <h1>Маникюр {{ year }}</h1>
                {% else %}
                    <h2>Маникюр {{ year }}</h2>
                {% endif %}
                <div class="gallery" data-year="{{ year }}">
                    {% for image in imageItems %}
                        <a href="{{ image.originalPath }}" data-image-id="{{ image.id }}">
                            <img alt="{{ image.alt|capitalize }}" src="{{ asset(image.mediaPath, 'images') }}" height="200"/>
                        </a>
                    {% endfor %}
                </div>
            </div>
        {% endfor %}
        {% for year in years %}
            <div class="block-gallery hidden" data-year="{{ year }}">
                <h2>Маникюр {{ year }}</h2>
                <div class="gallery" data-year="{{ year }}">
                </div>
            </div>
        {% endfor %}
        {% if showButtonLoadMore == true %}
            <div class="btn-load-gallery-images" data-offset="{{ offset }}">
                <button>Загрузить ещё</button>
            </div>
        {% endif %}
    </div>
    {% include 'views/footer/footer.html.twig' %}
{% endblock %}

{% block javascripts %}
    {{ encore_entry_script_tags('gallery') }}
    <script type="text/javascript" src="{{ asset('libs/justified-gallery/jquery.justifiedGallery.min.js') }}"></script>
    <script type="text/javascript" src="{{ asset('libs/tail-datetime/tail.datetime.min.js') }}"></script>
    <script type="text/javascript" src="{{ asset('libs/tail-datetime/tail.datetime-all.js') }}"></script>
{% endblock %}
